summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorDavid Lönnhager <david.l@mullvad.net>2020-03-30 22:26:21 +0200
committerDavid Lönnhager <david.l@mullvad.net>2020-03-30 22:26:21 +0200
commit7dae453041dc80bf5e25c84e4c87bd26aefed827 (patch)
treeab224162039122760a064434242f020272378335
parent31f5597f96bb9bf4c37039c696eec590bc168700 (diff)
parent949a9e3a1b396876d798fcca97d6495a9be9b95b (diff)
downloadmullvadvpn-7dae453041dc80bf5e25c84e4c87bd26aefed827.tar.xz
mullvadvpn-7dae453041dc80bf5e25c84e4c87bd26aefed827.zip
Merge branch 'fix-installer-script'
-rw-r--r--dist-assets/linux/before-install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/dist-assets/linux/before-install.sh b/dist-assets/linux/before-install.sh
index b47c6ce24c..ebaac51baf 100644
--- a/dist-assets/linux/before-install.sh
+++ b/dist-assets/linux/before-install.sh
@@ -3,7 +3,7 @@ set -eu
if which systemctl &> /dev/null; then
if systemctl status mullvad-daemon &> /dev/null; then
- /opt/Mullvad\ VPN/resources/mullvad-setup prepare-restart
+ /opt/Mullvad\ VPN/resources/mullvad-setup prepare-restart || true
systemctl stop mullvad-daemon.service
systemctl disable mullvad-daemon.service
fi